CREATE FUNCTION "DBA"."pa_gl_kp_arv_peat_pta"(in a_kuup1 date,in a_kuup2 date)
returns integer
begin
  declare li_return integer;
  set li_return=0;
  if a_kuup2 is not null and a_kuup2 >= a_kuup1 then
    per_loop: while a_kuup1 <= a_kuup2 loop
      if pa_gl_peat(a_kuup1)=0 then
        set li_return=li_return+1
      end if;
      set a_kuup1=Days(a_kuup1,1)
    end loop per_loop
  end if;
  return(li_return)
end